.audioplayer {
    display: flex;
    flex-direction: row;
    box-sizing: border-box;
    width: 100%;
    height: 50px;
    align-items: center;
    background: var(--color-3);
    border-radius: 10px;
}

.audioplayer-playpause {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 50px;
    height: 50px;
    cursor: pointer;    
}

.audioplayer:not(.audioplayer-playing) .audioplayer-playpause a {
    content: '';
    justify-content: center;
    width: 0;
    height: 0;
    margin-left: 2px;
    border-top: 7px solid transparent;
    border-right: none;
    border-bottom: 7px solid transparent;
    border-left: 12px solid var(--light-color);
}

.audioplayer-playing .audioplayer-playpause a {
    content: '';
    display: flex;
    justify-content: space-between;
    width: 12px;
    height: 14px;
}

.audioplayer-playing .audioplayer-playpause a::before, .audioplayer-playing .audioplayer-playpause a::after {
    content: '';
    width: 4px;
    height: 14px;
    background-color: #ffffff;
}

.audioplayer-time {
    display: flex;
    width: 40px;
    justify-content:center;
    font-size: 12px;
    color: var(--light);
}

.audioplayer-bar {
    position: relative;
    display: flex;
    margin: 0 12px;
    height: 12px;
    flex-basis: 0;
    flex-grow: 1;
    cursor: pointer;
    background: rgba(255, 255, 255, 0.5);
}

.audioplayer-bar > div {
    position: absolute;
    left: 0;
    top: 5px;
}
.audioplayer-bar-loaded {
    z-index: 1;
    height: 100%;
    top: 0px !important;
}

.audioplayer-bar-played {
    flex-direction: row-reverse;
    z-index: 2;
    height: 100%;
    background: var(--primary-color);
    top: 0px !important;
}

.audioplayer-bar-played::after {
    display: flex;
    position: absolute;
    content: '';
    box-sizing: border-box;
    top: -1px;
    right: -1px;
    margin-right: -10px;
    width: 14px;
    height: 14px;
    background-color: var(--light-color);
}


.audioplayer-volume {
    display: flex;
    align-items: center;
    width: 50px;
    height: 50px;
    justify-content: center;
    color: var(--light);
}

.audioplayer-volume-button {
    display: flex;
    align-items: center;
    width: 24px;
    height: 24px;
    cursor: pointer;
}

.audioplayer-volume-button a{
    display: flex;
    width: 16px;
    height: 16px;
    position: relative;
}
.audioplayer-volume-button a::before{
    font-family: 'Font Awesome 5 Light';
    font-weight: 300;
    content: "\f028";
}
.audioplayer-mute .audioplayer-volume-button a::before{
	content: "\f6a9";
}

.audioplayer-volume-adjust {
    display: flex;
    align-items: center;
    margin-left: 8px;
    display: none;
}

.audioplayer-volume-adjust > div {
    position: relative;
    display: flex;
    width: 60px;
    height: 2px;
    cursor: pointer;
    background-color: var(--color-8);
}

.audioplayer-volume-adjust div div {
    position: absolute;
    top: 0;
    left: 0;
    height: 2px;
    background-color: var(--color-3);
}

.audioplayer-volume-button a{
    color: var(--light-color) !important;
}

/* responsive | you can change the max-width value to match your theme */

@media screen and (max-width: 679px) {
    .audioplayer-volume-adjust {
        display: none;
    }
}